package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFUserCandidate;
import com.sa.ibiz.demo.demo.service.dto.WFUserCandidateSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFUserCandidate] 服务对象接口
 */
public interface WFUserCandidateService extends IService<WFUserCandidate>{

		WFUserCandidate get(WFUserCandidate et);
	boolean checkKey(WFUserCandidate et);
	boolean getDraft(WFUserCandidate et);
	boolean remove(WFUserCandidate et);
	boolean create(WFUserCandidate et);
	boolean update(WFUserCandidate et);
    List<WFUserCandidate> listDefault(WFUserCandidateSearchFilter filter) ;
	Page<WFUserCandidate> searchDefault(WFUserCandidateSearchFilter filter);
	/**	 实体[WFUserCandidate] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }